import { h } from 'vue';
import { BasicColumn, FormSchema } from '/@/components/Table';
import { Tag, Tooltip } from 'ant-design-vue';

//界面列表显示
export const logcolumns: BasicColumn[] = [
  
  {
    title: '开始时间',
    dataIndex: 'StartTime',
    sorter: true,
    resizable: true,
    width: 150,
  },
  {
    title: '结束时间',
    dataIndex: 'EndTime',
    sorter: true,
    resizable: true,
    width: 150,
  },
  
  // {
  //   title: '类名',
  //   dataIndex: 'TriggerType',
  //   width: 180,
  // },
  {
    title: '运行状态',
    dataIndex: 'Status',
    width: 80,
    customRender: ({ record }) => {
      let text = '';
      let color = '';
      switch (record.Status) {
        case 'Successed':
          text = '成功';
          color = 'green';
          break;
        case 'Failed':
          text = '失败';
          color = 'red';
          break;
        case 'Warnning':
          text = '警告';
          color = 'orange';
          break;
        default:break;
      }
      return h(Tooltip, { title: text }, () => h(Tag, { color: color }, () => text));
    },
  },
  // {
  //   title: '操作类型',
  //   dataIndex: 'Operation',
  //   width: 180,
  // },
  {
    title: '本次执行耗时(ms)',
    dataIndex: 'ElapsedTime',
    width: 90,
  },
  // {
  //   title: '状态',
  //   dataIndex: 'ACTIVESTATUS',
  //   customRender: ({ record }) => {
  //     const status = record.ACTIVESTATUS;
  //     const enable = status === 'Y';
  //     const color = enable ? 'green' : 'red';
  //     const text = enable ? '启用' : '停用';
  //     return h(Tag, { color: color }, () => text);
  //   },
  // },
  {
    title: '描述',
    dataIndex: 'Remark',
    resizable: true,
    width: 260,
  },
];

export const searchFormSchema: FormSchema[] = [
  // {
  //   field: 'Description',
  //   label: '任务日志名称',
  //   component: 'Input',
  //   colProps: { span: 8 },
  // },
  // {
  //   field: 'CREATE_TIME',
  //   label: '创建时间',
  //   component: 'RangePicker',
  //   colProps: { span: 8 },
  // },
  {
    field: 'Status',
    label: '运行状态',
    component: 'CheckboxGroup',
    defaultValue: 'Failed',
    colProps: { span: 12 },
    componentProps:({schema, tableAction, formActionType, formModel})=> {
      return {
        options: [
          {
            label: 'Successed',
            value: 'Successed',
          },
          {
            label: 'Failed',
            value: 'Failed',
          },
          {
            label: 'Waring',
            value: 'Waring',
          },
        ],
        onChange: (e: ChangeEvent) => {
          e.push('Failed');
          formModel.Status = e
        },
      }
    },
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'FACTORY_NAME',
    label: '工厂名称',
    required: true,
    component: 'Input',
  },
  {
    field: 'FACTORY_CODE',
    label: '工厂代码',
    required: true,
    component: 'Input',
  },
  {
    field: 'DESCRIPTION',
    label: '工厂描述',
    required: true,
    component: 'Input',
  },
  {
    field: 'ACTIVESTATUS',
    label: '状态',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '启用',
          value: 'Y',
          key: 'Y',
        },
        {
          label: '停用',
          value: 'N',
          key: 'N',
        },
      ],
    },
  },
  {
    field: 'ID',
    label: '工厂ID',
    component: 'Input',
    show: false,
  },
];
